package be.iminds.jfed.gts_highlevel.model;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * User: twalcari
 * Date: 9/17/2015
 * Time: 16:46
 */
@XmlRootElement(name = "user")
public class GtsXmlUser {

    private String email;
    private String login;
    private String name;
    private String password;
    private String role;

    private List<GtsXmlProject> projects;

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    @XmlElement(name="project")
    public List<GtsXmlProject> getProjects() {
        return projects;
    }

    public void setProjects(List<GtsXmlProject> projects) {
        this.projects = projects;
    }
}
